Subject: Re: ? LISTSERVE: alt.living.tightwad

From: [email-masked] (Joyce Duszak)
Date: 24 Mar 1995 17:18:04 GMT

Someone posted a few days back that there was a list for something
similiar to alt.living.tightwad. Would someone be kind enough to
send me that information.

Thanks

Joyce
-- 
Joyce Duszak                                         [email-masked]
University of New Hampshire
Telecommunications and Network Services              voice: +l 603 862 4989
50 College Rd., Durham, NH 03824-3523                FAX:   +1 603 862 4545